<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
$kl=mysql_fetch_array(mysql_query("SELECT * FROM klan WHERE id='$re0[klan]'"));
$nam=$kl['name'];$nams=$nam;
if($re1[wpk]>59 and $re1[sab]>59 and $re1[vor]>59 and $re1[ver]>59 or $re0[klan]>0 or $re0[sklan]>0){
if(empty($_GET[a])){
if($re1[wpk]>59 and $re1[sab]>59 and $re1[vor]>59 and $re1[ver]>59 and $re0[klan]==0 and $re0[sklan]==0){
echo"<u>Создайте свой Клан!</u><br/>";
echo'<FORM ACTION="klan.php?der='.$key.'&a=1" METHOD="POST">';
echo '
<select name="typ">
<option value="0" >Клан</option>
<option value="1" >Альянс</option>
<option value="2" >Союз</option>
<option value="3" >Организация</option>
<option value="4" >Блок</option>
<option value="5" >Империя</option>
<option value="6" >Орден</option>
</select><br/>';?>
Название(буквы , знаки *-*!* и пробел):<br/> <INPUT TYPE='text' NAME='name' VALUE="" maxlength="30"><br>
<INPUT TYPE='submit'VALUE='Основать'>
</FORM><br/><?
}else{

echo"<u>Ваш клан</u><br/><b>$kl[name]</b><br/><u>Основан ($kl[time])</u><br/>";
echo"$kl[logo]<br/>";echo"<u>Состав клана:</u><br/>";
//////////////////
$sum = 25000; // число записей на странице
$result = mysql_query("SELECT count(*) as a from users WHERE klan='$re0[klan]'"); 
$arr = mysql_fetch_row($result);$rec = $arr[0];
if(!isset($_GET['str'])){$str = 0;}else
{$str = $_GET['str'];}$start = $str * $sum;
$r = mysql_query("SELECT login,klan,sklan FROM users WHERE klan='$re0[klan]' LIMIT $start, $sum");
$n = mysql_num_rows($r);for ($i = 0; $i < $n; $i++){
////////////////вывод
$m1= mysql_fetch_array($r);
$lol=$m1['login'];
$m=mysql_fetch_array(mysql_query("SELECT strana FROM gos WHERE login='$lol'"));
if($m['strana']!=$re1[strana]){			   
if(!empty($m[strana])){
if($m1['sklan']==1){echo"$m[strana](магистр)";echo'<a href="../anket.php?der='.$key.'&f='.$m[strana].'"> [?] </a>';
echo'<a href="klan.php?a=9&der='.$key.'&d='.$m[strana].'">(л.с.)</a>';}
if($m1['sklan']==2){echo"$m[strana](вице-магистр)";echo'<a href="../anket.php?der='.$key.'&f='.$m[strana].'"> [?] </a>';
echo'<a href="klan.php?a=9&der='.$key.'&d='.$m[strana].'">(л.с.)</a>';}
if($m1['sklan']==0){echo"$m[strana]";echo'<a href="../anket.php?der='.$key.'&f='.$m[strana].'"> [?] </a>';
echo'<a href="klan.php?a=9&der='.$key.'&d='.$m[strana].'">(л.с.)</a>';}
}
}else{}
////////////////
}
echo'<br/><a href="klan4at.php?der='.$key.'">ЧАТ Клана</a><br/>';
echo"<br>Вашим кланом уничтожено <b>$kl[zah]</b> стран!<br/>";
echo"<u>Девиз:</u><br/>$kl[deviz]<br/>";echo"<u>Информация:</u><br/>$kl[info]<br/>";


if($re0['sklan']==1 or $re0['sklan']==2){echo'<a href="klan.php?a=2&der='.$key.'">Управление кланом</a><br/>';

}else{}
//////////////////////////////////////////////////////////////////////////////////////////////////
}

}
if($_GET[a]==1){
if($re1[wpk]>54 and $re1[sab]>54 and $re1[vor]>54 and $re1[ver]>54 or $re0[klan]==0){
$k1=$_POST['typ'];
if($k1==0){$k11="Клан";}else{}
if($k1==1){$k11="Альянс";}else{}
if($k1==2){$k11="Союз";}else{}
if($k1==3){$k11="Организация";}else{}
if($k1==4){$k11="Блок";}else{}
if($k1==5){$k11="Империя";}else{}
if($k1==6){$k11="Орден";}else{}
$k2=$_POST['name'];$k2 = preg_replace("/(\s){2,}/",' ',$k2);
if (strlen($k2) < 4 ){
echo"Название меньше 4-х символов!<br/>";echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
} elseif (preg_match("#^([A-zА-я\-\!\ ])+$#ui", $k2)){$k3="$k11 $k2";
$rk=mysql_fetch_array(mysql_query("SELECT id FROM klan WHERE name='$k3'"));
if($rk[id]>0){echo"Такой клан уже существует!<br/>";echo'<a href="klan.php?der='.$key.'">назад</a><br/>';}else{
$t1=date("j");$t2=date("m");$t3=date("y");$k3="$k11 $k2";
mysql_query("INSERT INTO klan (time,name) VALUES('$t1:$t2:$t3','$k3')");
$re7=mysql_fetch_array(mysql_query("SELECT id FROM klan WHERE name='$k3'"));
$ik=$re7['id'];
mysql_query("UPDATE users SET klan='$ik',sklan='1' WHERE login='$re0[login]'");
echo"Клан <b>$k3</b> создан <b>($t1:$t2:$t3)</b>!Может это станет поворотным событием в истории.<br/>";
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}}else{
echo"только буквы , знаки *-*!* и пробел<br/>";echo'<a href="klan.php?der='.$key.'">назад</a><br/>';}
}else{header("Location:klan.php?der=$key");}
}
if($_GET[a]==22){
if($re0['sklan']==1 or $re0['sklan']==2){
if($_GET[h]!=1){
echo'<FORM ACTION="klan.php?der='.$key.'&a=22&h=1" METHOD="POST">';?>
Сообщение<br/> <INPUT TYPE="text" NAME="mail" VALUE=""><br/>
<input type="submit"  value="Написать">
</FORM><br/><?
}else{
$mess=$_POST['mail'];
$r = mysql_query("SELECT login FROM users WHERE klan='$re0[klan]'");
while($n = mysql_fetch_array($r)){
$a1=mysql_fetch_array(qw("SELECT strana FROM gos WHERE login='$n[login]'"));
$cant = $a1[strana];$tm=time();
 qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$cant','{$nam}','$tm','0','0','$mess')");
}
echo"Сообщения отправлены!<br/>";
}
}else{header("Location:klan.php?der=$key");}
}
if($_GET[a]==2){
if($re0['sklan']==1 or $re0['sklan']==2){
if($re0['sklan']>0){echo'<a href="klan.php?der='.$key.'&a=3">Назначить вице-магистра</a><br/>';}
if($re0['sklan']>0){
echo'<a href="klan.php?der='.$key.'&a=22">Рассылка клана</a><br/>';
echo'<a href="klan.php?der='.$key.'&a=4">Изменить герб</a><br/>';
echo'<a href="klan.php?der='.$key.'&a=5">Изменить девиз</a><br/>';
echo'<a href="klan.php?der='.$key.'&a=6">Изменить информацию</a><br/>';
echo'<a href="klan.php?der='.$key.'&a=7">Добавить участника</a><br/>';
echo'<a href="klan.php?der='.$key.'&a=8">Удалить участника</a><br/>';

echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}else{header("Location:klan.php?der=$key");}
}else{header("Location:klan.php?der=$key");}
}
if($_GET[a]==3){
if($re0['sklan']>0){
echo'<FORM ACTION="klan.php?der='.$key.'&a=33" METHOD="POST">';?>
Страна игрока:<br/> <INPUT TYPE='text' NAME='name' VALUE=""><br>
<INPUT TYPE='submit'VALUE='Назначить'>
</FORM><br/><?
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}else{header("Location:klan.php?der=$key");}
}
if($_GET[a]==33){
if($re0['sklan']>0){
$txt=$_POST['name'];
$khr=mysql_fetch_array(mysql_query("SELECT login FROM gos WHERE strana='$txt'"));
$kl1=mysql_fetch_array(mysql_query("SELECT klan,sklan FROM users WHERE login='$khr[login]'"));
if($kl1['klan']==$re0['klan'] and $kl1['sklan']==0){
mysql_query("UPDATE users SET sklan='2' WHERE login='$khr[login]'");
echo"Вы назначили $txt вице-магистром!<br/>";
}else{echo"Такого гос-ва нет в вашем клане!<br/>";}
}else{header("Location:klan.php?der=$key");}
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}
if($_GET[a]==4){
if($re0[sklan]>0){
echo'<form name="upload" action="klanlogo.php?der='.$key.'&log='.$re0[klan].'" method="POST" ENCTYPE="multipart/form-data">';
?> 
  Выберите герб: <br/><input type="file" name="userfile"></ br>  
  <input type="submit" name="doUpload" value="Загрузить">  
 </form>  
</body>
</html><?
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}else{header("Location:klan.php?der=$key");}
}
if($_GET[a]==5){
if($re0['sklan']>0){
if(empty($_POST[name])){
echo'<FORM ACTION="klan.php?der='.$key.'&a=5" METHOD="POST">';?>
Девиз:<br/> <INPUT TYPE='text' NAME='name' VALUE=""><br>
<INPUT TYPE='submit'VALUE='Изменить'>
</FORM><br/><?
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}else{
$txt=$_POST['name'];
mysql_query("UPDATE klan SET deviz='$txt' WHERE id='$re0[klan]'");
header("Location:klan.php?der=$key");
}
}else{header("Location:klan.php?der=$key");}
}
if($_GET[a]==6){
if($re0['sklan']>0){
if(empty($_POST[name])){
echo'<FORM ACTION="klan.php?der='.$key.'&a=6" METHOD="POST">';?>
Информация:<br/> <INPUT TYPE='text' NAME='name' VALUE=""><br>
<INPUT TYPE='submit'VALUE='Изменить'>
</FORM><br/><?
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}else{
$txt=$_POST['name'];
mysql_query("UPDATE klan SET info='$txt' WHERE id='$re0[klan]'");
header("Location:klan.php?der=$key");
}
}else{header("Location:klan.php?der=$key");}
}
if($_GET[a]==7){
if($re0['sklan']>0){
if(empty($_POST[name])){
echo'<FORM ACTION="klan.php?der='.$key.'&a=7" METHOD="POST">';?>
Страна игрока:<br/> <INPUT TYPE='text' NAME='name' VALUE=""><br>
<INPUT TYPE='submit'VALUE='Позвать'>
</FORM><br/><?
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}else{
$txt=$_POST['name'];$kod=md5(rand(111,99999));$kod=substr($kod,0,8);
mysql_query("INSERT INTO pk (name,str,num,kod) VALUES('$nam','$txt','$re0[klan]','$kod')");
echo"Приглашение отправлено стране $txt ! <br/>";
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}
}else{header("Location:klan.php?der=$key");}
}
if($_GET[a]==8){
if($re0['sklan']>0){
if(empty($_POST[name])){
echo'<FORM ACTION="klan.php?der='.$key.'&a=8" METHOD="POST">';?>
Страна игрока:<br/> <INPUT TYPE='text' NAME='name' VALUE=""><br>
<INPUT TYPE='submit'VALUE='Выгнать'>
</FORM><br/><?
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}else{
$txt=$_POST['name'];
$kl1=mysql_fetch_array(mysql_query("SELECT login FROM gos WHERE strana='$txt'"));
$kl11=mysql_fetch_array(mysql_query("SELECT klan,sklan FROM users WHERE login='$kl1[login]'"));
if($kl11['klan']==$re0['klan']){
mysql_query("UPDATE users SET klan='0',sklan='0' WHERE login='$kl1[login]'");
echo"Вы выгнали $txt из клана!<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('17','[$dt1:$dt2]($dt3:$dt4)','$txt',
'Вас выгнали из клана $nams')");
}else{echo"Такого гос-ва нет в вашем клане!<br/>";}
echo'<a href="klan.php?der='.$key.'">назад</a><br/>';
}
}else{header("Location:klan.php?der=$key");}
}
if($_GET[a]==9){
if(empty($_POST[text])){
echo'<FORM ACTION="klan.php?a=9&der='.$key.'&d='.$_GET[d].'" METHOD=POST>';?>
Сообщение:
<br/>
<input type="text" name="text" maxlength="180"/><br/>
<INPUT TYPE='submit'VALUE='Написать'></FORM><br/><?
}else{
$l1=mysql_fetch_array(mysql_query("SELECT klan FROM users WHERE login=(SELECT login FROM gos WHERE strana='$_GET[d]')"));
if($l1[klan]==$re0[klan]){
$dat=time();$y=$_POST[text];
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$_GET[d]','$re1[strana]','$dat','0','1','$y')");
header("Location: klan.php?a=10&der=$key");
}else{echo"Гос-во $_GET[d] не является вашим сокланом!<br/>";}
}
}
if($_GET[a]==10){
echo"Сообщение отправлено!<br/>";
}
}else{
header("Location:../../game.php?der=$key");
}
echo'<br/><a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
?>